<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Module: scaffold</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Module: scaffold</h1>

    




<section>

<header>
    
        
            
        
    
</header>

<article>
    <div class="container-overview">
    
        
            <div class="description"><p>The scaffolder that executes JS commands using a <code>scaffold</code> array and
scripts in a specified directory.</p>
<h3>Example of usage</h3>
<pre class="prettyprint source"><code>let Scaffold = new Scaffold('commands/', scaffolds)
let results = Scaffold.run().then( (result) => {
 console.log(results);
 }
</code></pre>
<h3>Scaffold Object</h3>
<pre class="prettyprint source"><code>let scaffolds = [
  {command: &quot;commandName&quot;, value: [&quot;value1&quot;, &quot;value2&quot;]}, // &lt;-- Scaffold object
  {command: &quot;commandName2&quot;, value: &quot;someValue&quot;}          // &lt;-- Scaffold object
  …
]
</code></pre>
<p>Note: the <code>comandName.js</code> and <code>commandName2.js</code> should exists and contain an
exported function that will receive the <code>value</code>.  The returned value of the
scaffold script will be inscribe in the scaffold object in the <code>result</code>
field.</p></div>
        

        
            











    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>dir</code></td>
            

            <td class="type">
            
                
<span class="param-type">string</span>


            
            </td>

            

            

            <td class="description last"><p>The directory of the commands (default: &quot;commands/&quot;)</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>scaffolds</code></td>
            

            <td class="type">
            
                
<span class="param-type">array</span>


            
            </td>

            

            

            <td class="description last"><p>The scaffold structure to be executed.</p></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="scaffold.js.html">scaffold.js</a>, <a href="scaffold.js.html#line8">line 8</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
    
    </div>

    

    

    

    

    

    

    

    

    

    
</article>

</section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Modules</h3><ul><li><a href="module-menu.html">menu</a></li><li><a href="module-scaffold.html">scaffold</a></li></ul><h3>Classes</h3><ul><li><a href="Scavader.html">Scavader</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.2</a> on Wed Jun 12 2019 17:39:45 GMT+0100 (GMT+01:00)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>